From f46efdf93ebf02b5e7ac0ac0b11aefbd42ec71b2 Mon Sep 17 00:00:00 2001
From: Allen Winter <winter@kde.org>
Date: Sat, 15 Jan 2022 09:54:39 -0500
Subject: [PATCH] UK holiday change 2022 (Spring bank holiday)

applied to all 3 legal regions

BUG: 448305
FIXED-IN: 5.91
---
 holidays/plan2/holiday_gb-eaw_en-gb | 5 ++++-
 holidays/plan2/holiday_gb-nir_en-gb | 5 ++++-
 holidays/plan2/holiday_gb-sct_en-gb | 5 ++++-
 3 files changed, 12 insertions(+), 3 deletions(-)

diff --git a/holidays/plan2/holiday_gb-eaw_en-gb b/holidays/plan2/holiday_gb-eaw_en-gb
index 64bdee7..4235247 100644
--- a/holidays/plan2/holiday_gb-eaw_en-gb
+++ b/holidays/plan2/holiday_gb-eaw_en-gb
@@ -27,8 +27,11 @@ description "National holiday file for England and Wales"
 "Easter Monday"                 public on easter plus 1
 "Royal Wedding"                 public on 29.4.2011
 "Early May Bank Holiday"        public on ((year == 2020) ? [may 8] : [first monday in may])
-"Spring Bank Holiday"           public on ((year == 2012) ? [june 4] : [last monday in may])
+"Spring Bank Holiday"           public on ((year == 2012) ? [june 4] :
+                                           ((year == 2022) ? [june 2] :
+                                            [last monday in may]))
 "Diamond Jubilee Holiday"       public on 5.6.2012
+"Platinum Jubilee Holiday"      public on 3.6.2022
 "Summer Bank Holiday"           public on last monday in august
 "Christmas Day"                 public religious on december 25
 "Christmas Day Bank Holiday"    public on ( (([december 25] == [saturday after ([december 25])]) || ([december 25] == [sunday after ([december 25])])) ?
diff --git a/holidays/plan2/holiday_gb-nir_en-gb b/holidays/plan2/holiday_gb-nir_en-gb
index 677f290..85c2de6 100644
--- a/holidays/plan2/holiday_gb-nir_en-gb
+++ b/holidays/plan2/holiday_gb-nir_en-gb
@@ -33,8 +33,11 @@ description "National holiday file for Northern Ireland"
 "Easter Monday"                             public on easter plus 1
 "Royal Wedding"                             public on 29.4.2011
 "Early May Bank Holiday"                    public on ((year == 2020) ? [may 8] : [first monday in may])
-"Spring Bank Holiday"                       public on ((year == 2012) ? [june 4] : [last monday in may])
+"Spring Bank Holiday"                       public on ((year == 2012) ? [june 4] :
+                                                       ((year == 2022) ? [june 2] :
+                                                         [last monday in may]))
 "Diamond Jubilee Holiday"                   public on 5.6.2012
+"Platinum Jubilee Holiday"                  public on 3.6.2022
 "Battle of the Boyne (Orangemen's Day)"     public on july 12
 "Battle of the Boyne Bank Holiday"          public on ( (([july 12] == [saturday after ([july 12])]) ||
                                                           ([july 12] == [sunday after ([july 12])])) ?
diff --git a/holidays/plan2/holiday_gb-sct_en-gb b/holidays/plan2/holiday_gb-sct_en-gb
index 57d90d6..938d639 100644
--- a/holidays/plan2/holiday_gb-sct_en-gb
+++ b/holidays/plan2/holiday_gb-sct_en-gb
@@ -43,6 +43,7 @@ description "National holiday file for Scotland"
 "Royal Wedding"                     public on 29.4.2011
 "Early May Bank Holiday"            public on ((year == 2020) ? [may 8] : [first monday in may])
 "Diamond Jubilee Holiday"           public on 5.6.2012
+"Platinum Jubilee Holiday"          public on 3.6.2022
 "Christmas Day"                     public religious on december 25
 "Christmas Day Substitute Holiday"  public on ( (([december 25] == [saturday after ([december 25])]) ||
                                                   ([december 25] == [sunday after ([december 25])])) ?
@@ -60,7 +61,9 @@ description "National holiday file for Scotland"
 
 :: Financial
 "Good Friday Bank Holiday"          religious on easter minus 2
-"Spring Bank Holiday"               civil on ((year == 2012) ? [june 4] : [last monday in may])
+"Spring Bank Holiday"               civil on ((year == 2012) ? [june 4] :
+                                              ((year == 2022) ? [june 2] :
+                                               [last monday in may]))
 "Summer Bank Holiday"               civil on first monday in august
 "St Andrew's Day Bank Holiday"      civil on ( (([november 30] == [saturday after ([november 30])]) ||
                                                 ([november 30] == [sunday after ([november 30])])) ?
-- 
GitLab

